package pt.utl.ist.online.learning.engines.info;

import java.util.Arrays;

import pt.utl.ist.online.learning.engines.KernelPegasosEngine;
import pt.utl.ist.online.learning.engines.OnlineEngine;
/**
 * Prints into the console, the information received from OnlineEngines 
 * 
 * @author Joao L. M. Pereira
 * @version 0.1
 * @since 2015-06-18
 *
 * @param <E> class of the data instances used by the OnlineEngine that will call 
 * the methods of the EngineObserver object
 */
public class EnginePrinter<E> implements EngineObserver<E> {

	@Override
	public void notify(OnlineEngine<E> engine, String classifier, int iteration, int updates,
			double objectiveValue) {
		this.notify(engine, classifier, iteration,updates);
		System.out.println(classifier + ": Objective Value: " + objectiveValue);
		
	}

	@Override
	public void notify(OnlineEngine<E> engine, String classifier, int iteration, int updates) {
		System.out.println(classifier +": Iteration: " + iteration + " UpdatesCount: " + updates );
		
		if(engine instanceof KernelPegasosEngine){
			System.out.println(classifier +": Num SVS: " +  ((KernelPegasosEngine) engine).numSVs());
		}
		
	}

	@Override
	public void close(OnlineEngine<E> engine, String classifier) {
		System.out.println("Finished! " + classifier);		
	}



}
