package pt.utl.ist.online.learning.exceptions;

/**
 * Used to specify an exception that throws when a reserved constant inside of
 * an DataObject is occupied
 * 
 * 
 * @author Goncalo Simoes
 * @author Joao L. M. Pereira
 * @version 0.1
 * @since 2015-06-18
 *
 */
public class InvalidVectorIndexException extends Exception {	
	/**
	 * Used to specify that a constant is being used and prints the reserved constant value
	 * 
	 * @param dimension the reserved constant value that should not be assigned
	 */
	public InvalidVectorIndexException(Number dimension){
		super("This implementation assumes that index " + dimension + " is reserved for constant vectors. Please, change your data accordingly");
	}
}
